OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.FragmentProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFragmentProgram :: MonadIO m => m Bool
- gl_NV_fragment_program :: Bool
- pattern GL_FRAGMENT_PROGRAM_BINDING_NV :: GLenum
- pattern GL_FRAGMENT_PROGRAM_NV :: GLenum
- pattern GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV :: GLenum
- pattern GL_MAX_TEXTURE_COORDS_NV :: GLenum
- pattern GL_MAX_TEXTURE_IMAGE_UNITS_NV :: GLenum
- pattern GL_PROGRAM_ERROR_STRING_NV :: GLenum
- glGetProgramNamedParameterdvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLdouble -> m ()
- glGetProgramNamedParameterfvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLfloat -> m ()
- glProgramNamedParameter4dNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramNamedParameter4dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLdouble -> m ()
- glProgramNamedParameter4fNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramNamedParameter4fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLfloat -> m ()

# Extension Support

glGetNVFragmentProgram :: MonadIO m => m Bool Source #

Is the NV_fragment_program extension supported?

gl_NV_fragment_program :: Bool Source #

Is the NV_fragment_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFragmentProgram` in those cases instead.

# Enums

pattern GL_FRAGMENT_PROGRAM_BINDING_NV :: GLenum Source #

pattern GL_FRAGMENT_PROGRAM_NV :: GLenum Source #

pattern GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV :: GLenum Source #

pattern GL_MAX_TEXTURE_COORDS_NV :: GLenum Source #

pattern GL_MAX_TEXTURE_IMAGE_UNITS_NV :: GLenum Source #

pattern GL_PROGRAM_ERROR_STRING_NV :: GLenum Source #

# Functions

glGetProgramNamedParameterdvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramNamedParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramNamedParameter4dNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramNamedParameter4dvNV`.

glProgramNamedParameter4dvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramNamedParameter4fNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramNamedParameter4fvNV`.

glProgramNamedParameter4fvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |